Subject: [Healeys] Block Drain

From: R. Price Lindsay <[email-masked]>
Date: Wed, 6 Aug 2014 19:24:04 -0400

I am in the process of flushing out the cooling system of my BJ8.  It has been
a few years since I did this and when I did it last, I did not open the block
drain.  I'm not sure it has ever been opened but its time has come.  I presume
the unit is brass, but not sure.  My concern is if I put too much pressure on
it with a wrench (I want to take it off rather than try and turn the shuttle
cock) it will break or the threads will strip creating another set of "real"
issues.

Any words of caution, processes to follow or other encouragement??

Thank you, as always, in advance.

Price Lindsay
67 BJ8
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys